@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html{
    height: 100%;
}

body{
    height: 100%;
    background-color: #242631;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: 'Poppins', sans-serif;
}

.form{
    width: 360px;
    padding: 50px 30px;
    background-color: #282a36;
    border-radius: 10px;
}
.form__title{
    color: #fff;
    font-size: 30px;
    text-align: center;
    font-weight: 600;
    padding-bottom: 25px ;
}
.form__label{
    display: block;
    margin-bottom: 30px;
    border-bottom: 2px solid #242631;
    transition: border .5s;
    position: relative;
}
.form__label-active{
    border-bottom: 2px solid #ff79c6;
}

.form__label span{
    color: #9e9e9e;
    position: absolute;
    left: var(--left);
    top: 50%;
    transform: translateY(-50%);
    font-size: 17px;
    font-family: 'Poppins', sans-serif;
    pointer-events: none;
    transition: var(--transition)  cubic-bezier(0.68, -0.55, 0.265, 1.55);
}
.form__label .active{
    top: -5px;
}

.label__input{
    width: 100%;    
    display: block;
    padding: 10px 0;
    background-color: transparent;
    border: none;
    outline: none;
    font-weight: 500;
    font-size: 17px;
    font-family: 'Poppins', sans-serif;
    color: #fff;

}

.form__btn{
    width: 100%;
    padding: 15px;
    border-radius: 5px;
    display: block;
    background-color: #ff79c6;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    margin-bottom: 30px;
    border: none;
    outline: none;
}
.form__register{
    color: #b3b3b3;
}
.form__register a{
    color: #ff79c6;
    text-decoration: none;
}
.form__register a:hover{
    text-decoration: underline;
}

@media (max-width: 700px){
    .form{
        width: 90%;
    }
}